@charset "utf-8";

/*------------------------------------------------------------
    全ページ共通 
------------------------------------------------------------*/
body{
  background-color: #FFFFFE;
}

/* -----------------------------------------------------------
    ページ・エリア別
----------------------------------------------------------- */
.mini-icon-ttl{
  position: relative;
  padding-left: 3rem;
  margin-bottom: 3rem;
}
.mini-icon-ttl::after{
  position: absolute;
  content: "";
  background: url(./../image/common/icon-ttl-mini.svg) no-repeat center center / contain;
  width: 17px;
  height: 23px;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
}
.txt-link{
  display: inline;
  color: #0974C0;
  position: relative;
  border-bottom: solid 1px #0974C0;
}
/* .txt-link::after{
  position: absolute;
  content: "";
  width: 100%;
  height: 1px;
  background-color: #0974C0;
  bottom: 0;
  left: 0;
} */

/* -----------------------------------------------------------
    オリジナルレイアウト
----------------------------------------------------------- */

.inner-wide {
  max-width: calc(1080px + 8%);
  margin: 0 auto;
  padding: 0 4%;
}
.inner {
  max-width: calc(860px + 8%);
  margin: 0 auto;
  padding: 0 4%;
}


.inner-left{
  margin-left: calc((100vw - 1080px) / 2);
}
.inner.right{
  margin-right: calc((100vw - 1080px) / 2);
}
.page-header-area {
  position: fixed;
  left: 0;
  width: 100%;
  z-index: 9999;
}
.flex-left , .flex-right{
  width: 50%;
}

.a-none{
  pointer-events: none;
}
/* -----------------------------------------------------------
    アイコン・吹き出し・装飾
----------------------------------------------------------- */

.ellipses::before {
  content: "";
  display: inline-block;
  width: 2.8rem;
  height: 0.1rem;
  border-top: 1px dotted #fff;
  margin-right: 1.0rem;
}

/* -----------------------------------------------------------
    ボタン
----------------------------------------------------------- */

.pagetop {
  position: relative;
}

.pagetop a {
  position: absolute;
  right: 3rem;
  bottom: 35rem;
  display: block;
  width: 5.0rem;
  height: 5.0rem;
  text-align: center;
  color: #fff;
  font-size: 2.2rem;
  text-decoration: none;
  line-height: 5.0rem;
  transform: rotate(90deg);
}

.pagetop a::before{
  content: "";
  position: absolute;
  background-color: #707070;
  width: 60px;
  height: 1px;
  display: inline-block;
  vertical-align: middle;
  left: -30px;
  top: 55%;
  transform: translate(-50%);
}

.btn {
  width: 23.0rem;
  position: relative;
  margin-top: 4rem;
}

.page-header-area .btn {
  margin: 0 auto;
  margin-top: 2rem;
}

.page-header-area .en-btn{
  margin-right: 0;
  margin-top: 2rem;
  width: 20rem;
}

.btn.wide {
  width: 36.0rem;
}

.btn.center {
  margin-left: auto;
  margin-right: auto;
}

.btn a {
  text-align: center;
  padding: 1.5rem 0;
  background:var(--accent-color2);
  color: #fff;
  border-radius: 31px;
  position: relative;
  font-weight: bold;
  transition: 0.2s;
}
.btn a:hover{
  background-color: var(--accent-color);
  color: var(--text-color);
}
.btn span {
  vertical-align: middle;
}

.btn a::before {
  position: absolute;
  content: "";
  background-color: #fff;
  width: 33px;
  height: 33px;
  display: inline-block;
  top: 50%;
  vertical-align: middle;
  transform: translate(0, -50%);
  border-radius: 100%;
  right: 15px;
  transition: 0.2s;
}
.btn.blue a::after {
  content: "";
  position: absolute;
  top: 50%;
  right: 24px;
  transform: translate(0, -50%) rotate(90deg);
  width: 0;
  height: 0;
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
  border-bottom: 10px solid var(--accent-color2);
  transition: 0.2s;
}

.btn.blue a:hover::after{
  width: 100%;
  height: 100%;
  top: 0;
  right: 0;
  transform: rotate(0deg);
  background-color:var(--accent-color);
  z-index: -1;
  border-bottom: none;
  transition: 0.2s;
  border-radius: 31px;
}
.btn.blue a:hover{
  color: var(--text-color);
  transition: 0.2s;
  background-color: var(--accent-color);
}

.btn.yellow a{
  background-color: var(--accent-color);
  color: var(--text-color);
  padding-right: 2rem;
}
.btn.yellow .pdf::after{
  position: absolute;
  content: "";
  background: url(./../image/common/pdf-icon.svg) no-repeat center center / contain;
  width: 10px;
  height: 14px;
  top: 50%;
  right: 26px;
  transform: translate(0, -50%);
}
.btn.yellow a:hover{
  background-color: var(--accent-color2);
  color: #fff;
}
.btn .link::after{
  position: absolute;
  content: "";
  background: url(./../image/common/icon-link-blank.svg) no-repeat center center / contain;
  width: 10px;
  height: 14px;
  top: 50%;
  right: 26px;
  transform: translate(0, -50%);
}


.cicle-btn{position: relative;}
.cicle-btn:after{
  content: "";
  position: absolute;
  width: 0;
  height: 0;
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
  border-top: 10px solid var(--accent-color2);
  top: 40%;
  left: 10px;
  transform: translatey(-50%) rotate(270deg);
}
.cicle-btn:before{
  content: "";
  position: absolute;
  width: 30px;
  height: 30px;
  background-color: #BDDCF0;
  top: 40%;
  left: 0;
  transform: translatey(-50%);
  border-radius: 100%;
}
.cicle-btn:hover::after{
  animation: top-feature-list-a-after 0.3s ease-in-out forwards;
}
@keyframes top-feature-list-a-after{
  0%{
    margin-left: 0;
  }
  50%{
    margin-left: 5px;
  }
  100%{
    margin-left: 0;
  }
}
.cicle-btn:hover::before{
  animation: top-feature-list-a-before 0.3s ease-in-out forwards;
}
@keyframes top-feature-list-a-before{
  0%{
    margin-left: 0;
  }
  50%{
    margin-left: 5px;
  }
  100%{
    margin-left: 0;
  }
}
.cicle-btn.yellow::after{
  border-top: 10px solid #fff;
}
.cicle-btn.yellow::before{
  background-color: #FFD905;
}

.link-btn {
  width: 23.0rem;
  position: relative;
  margin-top: 4rem;
}
.link-btn  a {
  text-align: center;
  padding: 1.5rem 0;
  background:var(--accent-color2);
  color: #fff;
  border-radius: 31px;
  position: relative;
  font-weight: bold;
  transition: 0.2s;
}
.link-btn a::before {
  position: absolute;
  content: "";
  background-color: #fff;
  width: 33px;
  height: 33px;
  display: inline-block;
  top: 50%;
  vertical-align: middle;
  transform: translate(0, -50%);
  border-radius: 100%;
  right: 15px;
  transition: 0.2s;
}
.link-btn a::after{
  position: absolute;
  content: '';
  background: url(./../image/facility/link-icon.svg) no-repeat center center / contain;
  width: 10px;
  height: 10px;
  top: 50%;
  right: 21px;
  transform: translate(-50%,-50%);
}
.link-btn a:hover{
  color: var(--text-color);
  transition: 0.2s;
  background-color: var(--accent-color);
}

.circle {
  border-radius: 4.0rem;
}

.circle2 {
  border-radius: 4.0rem 0 0 4.0rem;
}

.circle3 {
  border-radius: 0.5rem;
}



/* -----------------------------------------------------------
    スマホ追従
----------------------------------------------------------- */

#reserveButton {
  cursor: pointer;
}
.options {
  /* display: none; */
  position: fixed;
  z-index: 999999999;
  bottom: 0rem;
  right: 0px;
  max-height: 0;
  overflow: hidden;
  transition: 0.5s cubic-bezier(0.18, 0.89, 0.32, 1.28);
}

.options.show {
  display: block;
  max-height: 500px; /* コンテンツの高さに応じて調整 */
  bottom: 10rem;
}

.option {
  background-color: var(--accent-color);
  
  padding: 10px;
  text-align: center;
  border-radius: 5px;
  margin-bottom: 5px;
  cursor: pointer;
}

/* -----------------------------------------------------------
    ハンバーガーメニュー
----------------------------------------------------------- */
/* Drawer */

.overlay {
  width: 100%;
  height: 100vh;
  position: fixed;
  right: 0;
  top: 0;
  background-color: rgba(0,0,0,.3);
  z-index: 190;
  opacity: 0;
  visibility: hidden;
  transition: all 200ms ease-in;
}
.drawer-menu nav.nav {
  width: 40%;
  height: 100vh;
  background-color: #FFF;
  right: -40%;
  top: 0;
  position: fixed;
  padding: 20px 0;
  transition: all 200ms ease-in-out;
  z-index: 199;
}
nav.nav ul {
    border: none;
    padding: 0;
}
.drawer-btn {
  position: absolute;
  top: 0;
  right: 0;
  z-index: 9999;
  width: 105px;
  height: 105px;
  background:#272343;
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 20px;
  cursor: pointer;
  border-radius: 0px 0px 0px 21px;
  padding-bottom: 20px;
}
span.toggler,
span.toggler:before,
span.toggler:after {
    content: '';
    display: block;
    height: 2px;
    width: 40px;
    border-radius: 3px;
    background-color: #fff;
    position: absolute;
    pointer-events: none;
    transition: 0.3s;
}

span.toggler:before{
    bottom: 9px;
}
span.toggler:after {
    top: 9px;
}
span.deleteclass {
    background-color: transparent;
}
span.deleteclass::before {
    bottom: 0;
    transform: rotate(45deg);
    transition: 0.3s;
}
span.deleteclass::after {
    top: 0;
    transform: rotate(-45deg);
    transition: 0.3s;
}
.drawer-btn .txt{
  position: absolute;
  bottom: 2rem;
  font-size: 1.7rem;
  font-weight: 400;
  pointer-events: none;
}

.logo {
  text-align: center;
  width: 12rem;
}
.logo  a{
  text-decoration: none;
  color: #888;
  font-size: 2rem;
}
.nav ul li {
  display: block;
  list-style: none;
  margin: 0;
  padding: 0;
}
.nav ul li a {
  padding: 10px 20px;
  display: block;
  color: #313131;
  text-decoration: none;
  transition: all 200ms ease;
}
.nav ul li a:hover {
  background-color: #f1f1f1;
}

/* Show Nav */
.show-nav .drawer-menu .nav {
  right: 0;
  box-shadow: 0 2px 27px rgba(3, 6, 12, -13.4);
  width: 45%;
  overflow-y: scroll;
}
.show-nav .drawer-menu .overlay {
  opacity: 1;
  visibility: visible;
}

.nav .mini-nav-list li{
  padding-left: 1rem;
  margin-bottom: 5px;
}
.mini-nav-list li a{
  font-size: 1.5rem;
}

.change-color .g-nav .bottom  {
  opacity: 0;
  display: none;
  transition: 0.3s;
}
.change-color .logo{
  transition: 1s;
}

.js-header{
  transition: 1s;
}

.header-inner .logo a svg{
  width: 70px;
  height: 70px;
}
.change-color .logo a{
  height: 40px;
  transition: 1s;
}
.change-color .logo a svg{
  width: 40px;
  height: 40px;
  transition: 1s;
}
.change-color .g-nav .entry-btn{
  font-size: 1.5rem;
  transition: 1s;
}
/*-----------------------------------------------------------

フッター

------------------------------------------------------------*/


/*------------------------------------------------------------

スライダー 

-------------------------------------------------------------*/

/*-----------------------------------------------------------
  アニメーション 
-------------------------------------------------------------*/

/*-ロード時にフワッと(load-fade) */
.load-fade {
  opacity: 0;
  visibility: hidden;
  transition: all 1s;
}
.load-fade.is-show {
  opacity: 1;
  visibility: visible;
}
/*-ロード時にフワッと(load-fade) */


/*---スクロール時にフワッと  (scroll-up)------*/
.scroll-up {
  opacity: 0; 
  visibility: hidden;
  transform: translateY(50px);
  transition: all 3s;
}
.scroll-up.is-show {
  opacity: 1;
  visibility: visible;
  transform: translateY(0px);
}
/*---スクロール時にフワッと  (scroll-up)------*/

/*-----------------------------------------------------------

繊維アニメーション

------------------------------------------------------------*/
body::before, body::after{
  content: "";
  position: fixed; /*画面に固定表示*/
  top: 0;
  left: 0;
  width: 100vw; /*画面幅*/
  height: 100vh; /*画面の高さ*/
  transform-origin: right; /*動く向き*/
}

/***前面の背景***/
body::before{
  background: var(--accent-color); /*最初の背景色*/
  z-index: 10000; /*最前面*/
  animation: right-move 0.5s forwards;
  animation-delay: 0.8s;
}

/***背面の背景***/
body::after{
  background: var(--accent-color2); /*次の色*/
  z-index:9999; /*1つ後ろ*/
  animation: right-move 1s forwards; 
  animation-delay: 1s; /*上の背景が動き終わるまで遅延*/
}

/***背景が動くアニメーション***/
@keyframes right-move{
  0%{
    opacity: 1; /*MAX幅*/
  }
  100% {
    opacity: 0;
    visibility: hidden; /*非表示に*/
  }
}

/* 202408追記 */
.btn.blue.yellow a::after{
  border-bottom: 10px solid var(--accent-color);
}
